DROP TABLE CRST_PO_REQ_DISTRIBUTIONS_ALL;

CREATE TABLE CRST_PO_REQ_DISTRIBUTIONS_ALL
(
  DISTRIBUTION_ID              NUMBER           NOT NULL,
  LAST_UPDATE_DATE             DATE             NOT NULL,
  LAST_UPDATED_BY              NUMBER           NOT NULL,
  REQUISITION_LINE_ID          NUMBER           NOT NULL,
  SET_OF_BOOKS_ID              NUMBER           NOT NULL,
  CODE_COMBINATION_ID          NUMBER           NOT NULL,
  REQ_LINE_QUANTITY            NUMBER           NOT NULL,
  LAST_UPDATE_LOGIN            NUMBER,
  CREATION_DATE                DATE,
  CREATED_BY                   NUMBER,
  ENCUMBERED_FLAG              VARCHAR2(1 BYTE),
  GL_ENCUMBERED_DATE           DATE,
  GL_ENCUMBERED_PERIOD_NAME    VARCHAR2(15 BYTE),
  GL_CANCELLED_DATE            DATE,
  FAILED_FUNDS_LOOKUP_CODE     VARCHAR2(25 BYTE),
  ENCUMBERED_AMOUNT            NUMBER,
  BUDGET_ACCOUNT_ID            NUMBER,
  ACCRUAL_ACCOUNT_ID           NUMBER,
  VARIANCE_ACCOUNT_ID          NUMBER,
  PREVENT_ENCUMBRANCE_FLAG     VARCHAR2(1 BYTE),
  ATTRIBUTE_CATEGORY           VARCHAR2(30 BYTE),
  ATTRIBUTE1                   VARCHAR2(150 BYTE),
  ATTRIBUTE2                   VARCHAR2(150 BYTE),
  ATTRIBUTE3                   VARCHAR2(150 BYTE),
  ATTRIBUTE4                   VARCHAR2(150 BYTE),
  ATTRIBUTE5                   VARCHAR2(150 BYTE),
  ATTRIBUTE6                   VARCHAR2(150 BYTE),
  ATTRIBUTE7                   VARCHAR2(150 BYTE),
  ATTRIBUTE8                   VARCHAR2(150 BYTE),
  ATTRIBUTE9                   VARCHAR2(150 BYTE),
  ATTRIBUTE10                  VARCHAR2(150 BYTE),
  ATTRIBUTE11                  VARCHAR2(150 BYTE),
  ATTRIBUTE12                  VARCHAR2(150 BYTE),
  ATTRIBUTE13                  VARCHAR2(150 BYTE),
  ATTRIBUTE14                  VARCHAR2(150 BYTE),
  ATTRIBUTE15                  VARCHAR2(150 BYTE),
  USSGL_TRANSACTION_CODE       VARCHAR2(30 BYTE),
  GOVERNMENT_CONTEXT           VARCHAR2(30 BYTE),
  REQUEST_ID                   NUMBER,
  PROGRAM_APPLICATION_ID       NUMBER,
  PROGRAM_ID                   NUMBER,
  PROGRAM_UPDATE_DATE          DATE,
  PROJECT_ID                   NUMBER,
  TASK_ID                      NUMBER,
  END_ITEM_UNIT_NUMBER         VARCHAR2(30 BYTE),
  EXPENDITURE_TYPE             VARCHAR2(30 BYTE),
  PROJECT_ACCOUNTING_CONTEXT   VARCHAR2(30 BYTE),
  EXPENDITURE_ORGANIZATION_ID  NUMBER,
  GL_CLOSED_DATE               DATE,
  SOURCE_REQ_DISTRIBUTION_ID   NUMBER,
  DISTRIBUTION_NUM             NUMBER           NOT NULL,
  ALLOCATION_TYPE              VARCHAR2(25 BYTE),
  ALLOCATION_VALUE             NUMBER,
  PROJECT_RELATED_FLAG         VARCHAR2(1 BYTE),
  EXPENDITURE_ITEM_DATE        DATE,
  ORG_ID                       NUMBER,
  AWARD_ID                     NUMBER(15),
  RECOVERABLE_TAX              NUMBER,
  NONRECOVERABLE_TAX           NUMBER,
  RECOVERY_RATE                NUMBER,
  TAX_RECOVERY_OVERRIDE_FLAG   VARCHAR2(1 BYTE),
  OKE_CONTRACT_LINE_ID         NUMBER,
  OKE_CONTRACT_DELIVERABLE_ID  NUMBER,
  DISTRIBUTION_ID_N            NUMBER
);
